import request from '@/utils/request'

// 查询企业年报社会保险信息列表
export function listData(query) {
  return request({
    url: '/basicData/xcrSocialInsuranceData/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业年报社会保险信息详细
export function getData(xhCodeId) {
  return request({
    url: '/basicData/xcrSocialInsuranceData/' + xhCodeId,
    method: 'get'
  })
}

// 新增企业年报社会保险信息
export function addData(data) {
  return request({
    url: '/basicData/xcrSocialInsuranceData',
    method: 'post',
    data: data
  })
}

// 修改企业年报社会保险信息
export function updateData(data) {
  return request({
    url: '/basicData/xcrSocialInsuranceData',
    method: 'put',
    data: data
  })
}

// 删除企业年报社会保险信息
export function delData(xhCodeId) {
  return request({
    url: '/basicData/xcrSocialInsuranceData/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delDataBatch(ids) {
  return request.post('/basicData/xcrSocialInsuranceData/delete',ids)
}
